---
updatedAt: 2026-07-07T07:30:13.000Z
agentTools:
  projectIndex: https://docs.getembed.ai/llms.txt
---

# Data Ingestion

Use the Datasources to ingest your own items, users, and interactions into embed.

Base URL:

```text
https://api-us-east.mbd.xyz/v3/datasources
```

Public ingestion endpoints:

* `POST /datasources/{datasource_id}/items`
* `POST /datasources/{datasource_id}/users`
* `POST /datasources/{datasource_id}/items/interactions`
* `POST /datasources/{datasource_id}/users/interactions`

For user-to-user interaction events, send `user_id_from`, `user_id_to`, `event_type`, and `timestamp`.

```json
{
  "user_id_from": "user.123",
  "user_id_to": "user.456",
  "event_type": "follow",
  "timestamp": 1762300000
}
```

Create and test data sources in the [embed Console](https://console.mbd.xyz) before automating ingestion from your backend.